[maemo-commits] [maemo-commits] r16747 - in projects/haf/trunk/osso-af-startup: debian services top-scripts

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Thu Nov 20 14:52:12 EET 2008
Author: schulhof
Date: 2008-11-20 14:52:11 +0200 (Thu, 20 Nov 2008)
New Revision: 16747

Added:
   projects/haf/trunk/osso-af-startup/top-scripts/zzzremove-first-boot-flag
Modified:
   projects/haf/trunk/osso-af-startup/debian/postinst
   projects/haf/trunk/osso-af-startup/services/real-af-startup
Log:
Added /etc/init.d/zzz-remove-first-boot-flag to init scripts

Modified: projects/haf/trunk/osso-af-startup/debian/postinst
===================================================================
--- projects/haf/trunk/osso-af-startup/debian/postinst	2008-11-20 11:02:57 UTC (rev 16746)
+++ projects/haf/trunk/osso-af-startup/debian/postinst	2008-11-20 12:52:11 UTC (rev 16747)
@@ -35,7 +35,8 @@
 update-rc.d af-services start 22 2 3 4 5 . stop 22 0 1 6 . > /dev/null
 update-rc.d af-startup start 50 2 3 4 . stop 21 0 1 6 . > /dev/null
 update-rc.d af-base-apps start 60 2 3 4 . stop 20 0 1 5 6 . > /dev/null
-update-rc.d hwclock start 01 S 1 2 3 4 5 . stop 02 0 6 . > /dev/null
+update-rc.d hwclock start 01 S 1 2 3 4 5 . stop 02 0 1 2 3 4 5 6 . > /dev/null
+update-rc.d zzz-remove-first-boot-flag start 99 S 1 2 3 4 5 . stop 01 0 1 2 3 4 5 6 . > /dev/null
 
 # create memory card mount points ("if" is for Scratchbox)
 if [ -w / ]; then

Modified: projects/haf/trunk/osso-af-startup/services/real-af-startup
===================================================================
--- projects/haf/trunk/osso-af-startup/services/real-af-startup	2008-11-20 11:02:57 UTC (rev 16746)
+++ projects/haf/trunk/osso-af-startup/services/real-af-startup	2008-11-20 12:52:11 UTC (rev 16747)
@@ -147,7 +147,6 @@
     # the storage media before removing first-boot-flag.
     sync
     rm -f $HOME/first-boot-flag
-    rm -f /tmp/first-boot-flag-tmp
     rm -f /tmp/suw-user-cancelled.tmp
     touch /tmp/.check_auto_install
 

Added: projects/haf/trunk/osso-af-startup/top-scripts/zzzremove-first-boot-flag
===================================================================
--- projects/haf/trunk/osso-af-startup/top-scripts/zzzremove-first-boot-flag	2008-11-20 11:02:57 UTC (rev 16746)
+++ projects/haf/trunk/osso-af-startup/top-scripts/zzzremove-first-boot-flag	2008-11-20 12:52:11 UTC (rev 16747)
@@ -0,0 +1,44 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:		zzzremove-first-boot-flag
+# Required-Start:	$all
+# Required-Stop:
+# Default-Start:	2 3 4 5
+# Default-Stop:		0 1 2 3 4 5 6
+# Short-Description:	Remove first-boot-flag.
+# Description:		Removes /tmp/first-boot-flag-tmp, concluding
+#			the first boot.
+### END INIT INFO
+#
+# Init startup kludge to notify, via D-Bus,
+# that a runlevel has run all the init-scripts
+#
+# Copyright © 2007 Nokia Corporation.  All rights reserved.
+#
+# @author David Weinehall <david.weinehall at nokia.com>
+
+FIRST_BOOT_FLAG_TMP=/tmp/first-boot-flag-tmp
+INITFILE=/etc/init.d/zzzremove-first-boot-flag
+
+case "$1" in
+start|restart|force-reload)
+	printf "Removing $FIRST_BOOT_FLAG_TMP"
+	if test -e $FIRST_BOOT_FLAG_TMP; then
+	  rm -f $FIRST_BOOT_FLAG_TMP
+	fi
+	printf ".\n"
+	;;
+
+stop)
+	;;
+
+status)
+	;;
+
+*)
+	printf "Usage: $INITFILE {start|stop|restart|force-reload}\n" >&2
+	exit 1
+	;;
+esac
+
+exit 0


Property changes on: projects/haf/trunk/osso-af-startup/top-scripts/zzzremove-first-boot-flag
___________________________________________________________________
Name: svn:executable
   + *


More information about the maemo-commits mailing list